#
# spec file for package perl-XML-Parser (Version 2.30)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  expat
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs expat file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         perl-XML-Parser
Copyright:    Artistic License
Group:        Development/Libraries/Perl
Provides:     p_xmlpar
Obsoletes:    p_xmlpar
Requires:     expat
Autoreqprov:  on
Summary:      XML Parser (Perl module)
Version:      2.30
Release:      31
Source:       XML-Parser-%{version}.tar.bz2
Patch:        XML-Parser-%{version}.diff
BuildRoot:    %{_tmppath}/%{name}-build

%description
This is a Perl extension interface to James Clark's XML parser, expat.
You'll find examples in /usr/share/doc/packages/perl-XML-Parser/samples.  For
documentaion read the manpages XML::Parser and XML::Parser::Expat.

Authors:
--------
    Larry Wall <larry@wall.org>
    Clark Cooper <coopercc@netheaven.com>

SuSE series: perl

%prep
%setup -n XML-Parser-%{version}
%patch

%build
perl Makefile.PL
make
make test

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/%{perl_archlib}
make PREFIX=$RPM_BUILD_ROOT/%{_prefix} \
     INSTALLMAN1DIR=$RPM_BUILD_ROOT/%{_mandir}/man1 \
     INSTALLMAN3DIR=$RPM_BUILD_ROOT/%{_mandir}/man3 \
     install
install -d $RPM_BUILD_ROOT/var/adm/perl-modules
cat $RPM_BUILD_ROOT%{perl_archlib}/perllocal.pod | sed "s@$RPM_BUILD_ROOT@@g" > $RPM_BUILD_ROOT/var/adm/perl-modules/perl-XML-Parser
cd $RPM_BUILD_ROOT%{perl_sitearch}/auto/XML/Parser
cat .packlist | sed "s@$RPM_BUILD_ROOT@@g" | sort -u > .packlist

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc MANIFEST Changes README samples
%{perl_sitearch}/auto/XML/Parser
%{perl_sitearch}/XML/Parser.pm
%{perl_sitearch}/XML/Parser
%doc %{_mandir}/man3/*
/var/adm/perl-modules/perl-XML-Parser

%changelog -n perl-XML-Parser
* Tue Sep 04 2001 - rvasice@suse.cz
- fixed Group tag to Development/Libraries/Perl
* Thu Aug 16 2001 - rvasice@suse.cz
- update to version 2.30
* Fri Nov 10 2000 - cihlar@suse.cz
- renamed p_xmlpar -> perl-XML-Parser
- bzipped sources
- fixed copyright tag
* Mon Aug 21 2000 - ro@suse.de
- adapted for perl-5.6
* Thu Apr 20 2000 - cihlar@suse.cz
- added BuildRoot
* Thu Jan 20 2000 - ro@suse.de
- use macro for mandir
* Mon Jan 10 2000 - ke@suse.de
- Update: version 2.27.
- Use version macro.
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Aug 23 1999 - ro@suse.de
- added missing Parser.pm to filelist
* Wed Aug 04 1999 - ke@suse.de
- New package: version 1.23.
